# XMLReader::setParserProperty

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::setParserProperty — Establecer las opciones del analizador

### Descripción

public XMLReader::setParserProperty(int `$property`, bool `$value`): bool

Establece las opciones del analizador. Las opciones deben ser establecidas después de llamar a XMLReader::open() o a XMLReader::xml(), y antes de la primera llamada a XMLReader::read().

### Parámetros

`property`

  Una de las constantes de opción del analizador.

`value`

  Si se establece a `true` la opción será habilitada, de otra manera será deshabilitada.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error.